function [t,z]=davidtwo(z0,gamma)
global Dav2Gamma
Dav2Gamma = gamma;
[t,z]=ode45(@Ht,[1 0],z0,odeset('Mass',@Hz));

function [HZmat]=Hz(t,z)
global Dav2Gamma
x=z(1); y=z(2);
HZmat = Dav2Gamma*t*[2*x 0; 0 2*y] + (1-t)*[2*x -y; 4*x+y-3 x];

function [HTmat]=Ht(t,z)
global Dav2Gamma
x=z(1); y=z(2);
HTmat = -( Dav2Gamma*[x^2-1; y^2-1] - [x^2-0.5*y^2-2;  2*x^2+x*y-3*x-1] );