function [t,z,success,zerror,Herror]= goodtrack2vble(z0,gamma)
global theGamma
theGamma = gamma;
[t,z,success,zerror,Herror]= goodtrack(z0,[1 0],@H,@Ht,@Hz);

function [Hvec]=H(z,t)
global theGamma
x=z(1); y=z(2);
Hvec = theGamma*t*[x^2-1; y^2-1] + (1-t)*[x^2-0.5*y^2-2;  2*x^2+x*y-3*x-1];

function [HZmat]=Hz(z,t)
global theGamma
x=z(1); y=z(2);
HZmat = theGamma*t*[2*x 0; 0 2*y] + (1-t)*[2*x -y; 4*x+y-3 x];

function [HTmat]=Ht(z,t)
global theGamma
x=z(1); y=z(2);
HTmat = -( theGamma*[x^2-1; y^2-1] - [x^2-0.5*y^2-2;  2*x^2+x*y-3*x-1] );