% TABLEAU14_2_3
% Tableau for example 14.2.3 in Sommese & Wampler
% Useful for exercise 14.1
%
% This describes the space SO(3) as a subset of 3x3 matrices.
% There are 7 equations in 9 variables.
% The variables are elements of a 3x3, listed column-wise
%  -> Eqs. 1,2,3 are unit length of each column
%  -> Eqs. 4,5,6 are pairwise orthgonality of columns
%  -> Eq. 7 is det(M)=1
% 
% tableau for SO(3)
eop = [ 0 -1 0 0 0 0 0 0 0 0 ];
one3= [1;1;1];
Zip = zeros(3,3);
xyz = eye(3);
yzx = [
    0 1 0
    0 0 1
    1 0 0
];
zxy = [
    0 0 1
    1 0 0
    0 1 0
];
monomial_one = zeros(1,9);
tableau = [
    one3 2*xyz Zip Zip
    -1   monomial_one
    eop
    one3 Zip 2*xyz Zip
    -1   monomial_one
    eop
    one3 Zip Zip 2*xyz
    -1   monomial_one
    eop
    one3 xyz xyz Zip
    eop
    one3 xyz Zip xyz
    eop
    one3 Zip xyz xyz
    eop
    one3  xyz yzx zxy
    -one3 xyz zxy yzx
    -1    monomial_one
    eop
];