bad  = find(stats(3,:)>=1e-8);
if isempty(bad), return; end;

sprintf('# of bad solns = %d\nThe bad paths will be re-run.\n',length(bad))

% change settings for tighter tracking and looser endgame convergence test
epsbig   =1e-6;    %epsbig   =1e-4;    tracking accuracy to be maintained in initial tracking t=[1,t_endgame]
epssmall =1e-8;    %epssmall =1e-6;    tracking accuracy to be maintained in endgame t=[t_endgame,tstop]
t_endgame=0.1;     %t_endgame=0.1;     t value where the endgame starts
tstop    =1e-10;   %tstop    =1e-10;   t value where endgame gives up
tratio   =0.3;     %tratio   =0.3;     ratio for sampling path in a geometric series. Must be in (0,1).
eps_end  =1e-8;   %eps_end  =1e-10;   convergence criterion: stop when successive endpoints agree to this value.

if (exist('verbose')==1), verboseold=verbose; else verboseold=0; end;
global verbose
verbose=1;
[xrerun,srerun,xendrerun]=endgamer(startpoint(:,bad),hfun);
verbose=verboseold;
clear verboseold

xsoln(:,bad)=xrerun;
stats(:,bad)=srerun;