% [h,dhx,dht]=parhfun(x,t) : Parameter homotopy functional evaluation

% Copyright 1997 by Charles W. Wampler, II
%                   1226 Suffield
%                   Birmingham, MI 48009
%                   (810)645-1581
%                   wampler@gmr.com
% All rights reserved
% Not to be copied or distributed without permission.

function [h,dhx,dht]=parhfun(x,t)
global FFUN ProjTransf ParStart ParGoal PATHFUN
[p,pt] = feval(PATHFUN,ParStart,ParGoal,t);
[f,dfx,dfp]=feval(FFUN,x,p);
mhom=size(ProjTransf,1);
h  =[ f ; ProjTransf*x-ones(mhom,1)];
dhx=[dfx; ProjTransf];
dht=[dfp*pt; zeros(mhom,1)];