function [y]=patchnew(x)
% reset projective patch to be well-disposed to x
global ProjTransf
mhom=size(ProjTransf,1);
y=zeros(size(x));
for ii=1:mhom,
    xm = find(ProjTransf(ii,:));
    xx = x(xm);
    xnorm=norm(xx);
    ProjTransf(ii,xm)=xx'/xnorm; %conjugate of xx
    y(xm,1)=xx/xnorm;
end
