function [f,df]=wsupfun(u)
% function to be solved to get witness superset
% Input u is a set of intrinsic coordinates.
% We convert these to the original coordinates,
%  then evaluate the original system, then apply randomization
global FSYS 
global RandSup LSup
x = LSup*u;
[bigf,bigf_dx]=feval(FSYS,x);
f = RandSup*bigf;
df = RandSup*bigf_dx*LSup;