function [Q]=leftq(x)
%convert quaternion to 4x4 for left multiplication
% i.e., x*y = Q y (where * is quaternion mult)
Q(1,1)= x(4);
Q(2,1)= x(3);
Q(3,1)=-x(2);
Q(4,1)=-x(1);
%
Q(1,2)=-x(3);
Q(2,2)= x(4);
Q(3,2)= x(1);
Q(4,2)=-x(2);
%
Q(1,3)= x(2);
Q(2,3)=-x(1);
Q(3,3)= x(4);
Q(4,3)=-x(3);
%
Q(1,4)= x(1);
Q(2,4)= x(2);
Q(3,4)= x(3);
Q(4,4)= x(4);
%
