function y=zsymfcn(x)
% function used in testing for symmetry pairs in planar-planar Stewart-Gough platforms
y=zeros(9,1);
e=x(1:4);
g=x(5:8);
ee = sum(e.^2);
cnj=diag([-1 -1 -1 1]);
projxyz=[eye(3) [0;0;0]];
p = (leftq(g)*cnj*e )/ee;
y(1:3)= p(1:3);
ee2 = leftq(e)*rightq(cnj*e)/ee;
y(4:9)= reshape(ee2(1:3,1:2),6,1);