function [g,dg]=diffprod(g1,dg1,g2,dg2)
% forward differentiation of a product
% [g,dg]=diffprod(g1,dg1,g2,dg2)
%
% INPUTS:
%   g1, g2  = values of two factors in a product
%   dg1,dg2 = vectors whose elements are the partial derivatives of
%              g1 & g2.
% OUTPUTS:
%   g  = the product g1*g2
%   dg = the partial derivatives of the product
g=g1*g2;
dg=g1*dg2+dg1*g2;
return;
