function [h,hx,ht]=htabcall(x,t)
% [h,hx,ht]=htabcall(x,t)
%
% This is just an interface to htabsys allowing the function
% definition to be passed via globals.
%
% See htabsys for description of arguments.
%
% GLOBALS
%  nummono CoefStart CoefFinal exponent
global nummono CoefStart CoefFinal exponent
global ProjTransf
mhom=size(ProjTransf,1);
coeflist = t*CoefStart + (1-t)*CoefFinal;
dcdt = CoefStart-CoefFinal;
[h1,hx1,ht1]=htabsys(x,nummono,coeflist,dcdt,exponent);
h = [ h1; ProjTransf*x-ones(mhom,1)];
hx= [ hx1; ProjTransf ];
ht= [ ht1; zeros(size(ProjTransf,1),1)];