function [y]=patchdo(x,ProjTransf)
% function [y]=patchdo(x,ProjTransf)
% apply projective transformation to points in x, listed columnwise
y=zeros(size(x));
for mhom=1:size(ProjTransf,1)
    mx = find(ProjTransf(mhom,:));
    y(mx,:)=x(mx,:)*diag(1./(ProjTransf(mhom,:)*x));
end
