% [h,dhx,dht]=sechfun(x,t) : Secant homotopy functional evaluation

% Copyright 1997 by Charles W. Wampler, II
%                   1226 Suffield
%                   Birmingham, MI 48009
%                   (810)645-1581
%                   wampler@gmr.com
% All rights reserved
% Not to be copied or distributed without permission.

function [h,dhx,dht]=sechfun(x,t)
global FFUN GammaConst ProjTransf CoefStart CoefGoal 
[f1,dfx1]=feval(FFUN,x,CoefStart);
[f2,dfx2]=feval(FFUN,x,CoefGoal);
h  =[ GammaConst*t*f1+(1-t)*f2 ; ProjTransf*x-1];
dhx=[GammaConst*t*dfx1+(1-t)*dfx2; ProjTransf];
dht=[GammaConst*f1-f2; 0];